{% extends "base.html" %}

{% block content %}

<div class="container-fluid nowrap">
<table class="table table-striped">
	<thead>
		    <tr><th>Assignment(Points)</th><th>Percent</th><th>Points</th></tr></tr>
	</thead>
	<tbody>
		{% for prcnt,pnt,mx in tstzip %}
		<tr>
			<th>Exam#{{ loop.index }}(
				{% if mx %}
					{{ mx }}pts
				{% else %}
					NA
				{% endif %}
			)</th>
			<td>{{ '%0.2f' % prcnt }}%</td>
			<td> 
				{% if pnt %}
					{{ '%0.2f' % pnt }}   
				{% else %}
					NA
				{% endif %}
			</td>
		</tr>
		{% endfor %}

		<tr>
			<th>Exam Avg.( {{ '%0.2f' % fnlpt[2] }}pts )</th>
			<td>{{ '%0.2f' % fnlpt[0] }}%</td><td>{{ '%0.2f' % fnlpt[1] }}</td>
		</tr>
			
		{% for prcnt,pnt,mx,keep in hwzip %}
		<tr>
			<th>Homework#{{ loop.index }}(
				{% if mx %}
					{{ mx }}pts
				{% else %}
					NA
				{% endif %}
			)</th>
			<td>{{ '%0.2f' % prcnt }}%</td>
			<td> 
				{{ '%0.2f' % pnt if keep else 'drop' }}   
			</td>
		</tr>
		{% endfor %}
		{% for prcnt,pnt,mx,keep in lbzip %}
		<tr>
			<th>Lab#{{ loop.index }}(
				{% if mx %}
					{{ mx }}pts
				{% else %}
					NA
				{% endif %}
			)</th>
			<td>{{ '%0.2f' % prcnt }}%</td>
			<td> 
				{{ '%0.2f' % pnt if keep else 'drop' }}   
			</td>
		</tr>
		{% endfor %}
		{% for prcnt,pnt,mx in frmllbzip %}
		<tr>
			<th>Formal Lab#{{ loop.index }}(
				{% if mx %}
					{{ mx }}pts
				{% else %}
					NA
				{% endif %}
			)</th>
			<td>{{ '%0.2f' % prcnt }}%</td>
			<td> 
				{% if pnt %}
					{{ '%0.2f' % pnt }}   
				{% else %}
					NA
				{% endif %}
			</td>
		</tr>
		{% endfor %}
	
			<tr>
				<th></th>
				<th>Total({{ '%0.2f' % ttlzip[1] }}pts)</th><td>{{ '%0.2f' % ttlzip[0] }}</td>
			</tr>
			<tr>
				<th></th>
				<th>Overall%</th><td>{{ '%0.2f' % ttlzip[2] }}%</td>
			</tr>
			<tr>
				<th></th>
				<th>Letter Grade</th><td>{{ ttlzip[3] }}</td>
			</tr>			

	</tbody>
</table>


<br>
<a href="{{ url_for('index') }}">Back to course page</a>
<br>
<br>
<a href="{{ url_for('logout') }}">Logout</a>

</div>




{% endblock %}

<!-- dont really need NA stuff -->
